#ifndef HEADER_SCRIPT
#define HEADER_SCRIPT

#include "../C-Engine/CEngine/Object.hpp"
#include "../C-Engine/CEngine/Engine.hpp"

#include "../C-Engine/CPhysics/Transforms.hpp"
#include "../C-Engine/CPhysics/Rigibodys.hpp"

#include "../C-Engine/CRendering/Render.hpp"
#include "../C-Engine/CRendering/Animation.hpp"
#include "../C-Engine/CRendering/Sprite.hpp"
#include "../C-Engine/CRendering/TilesMapping.hpp"

extern "C"
{
#include <fxlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../C-Engine/CExtraLib/input.h"
#include "../C-Engine/CExtraLib/MonochromeLib.h"
#include "../C-Engine/CExtraLib/FonctionC.h"
}

class Object;
class Engine;

class Script
{
    public:

    Script();

    virtual void Update();
    virtual void UpdateEverySecond();
    virtual void Start();

    int GetX();
    int GetY();
    int SizeX();
    int SizeY();

    void SetXY( double x , double y );
    void Move( int x , int y );
    void SetIt( int i );

    void AffectObject(Object * OV);
    void AffectEngine(Engine * EV);

    Engine * GetEngine();
    Object * GetObject();

    private:

    Object * OConteneur;
    Engine * EConteneur;

};

#endif

