#ifndef HEADER_SPRITE
#define HEADER_SPRITE

#include "../C-Engine/CEngine/Object.hpp"
#include "../C-Engine/CEngine/Engine.hpp"
#include "../C-Engine/CEngine/Script.hpp"

#include "../C-Engine/CPhysics/Transforms.hpp"
#include "../C-Engine/CPhysics/Rigibodys.hpp"

#include "../C-Engine/CRendering/Render.hpp"
#include "../C-Engine/CRendering/Animation.hpp"
#include "../C-Engine/CRendering/TilesMapping.hpp"


extern "C"
{
#include <fxlib.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "../C-Engine/CExtraLib/MonochromeLib.h"
#include "../C-Engine/CExtraLib/FonctionC.h"
}

class Sprite
{
    public:

    Sprite();
    Sprite(const unsigned char * v1, int sizex, int sizey , int bx = 0 , int by =0);
    Sprite(const unsigned char * v1, const unsigned char * v2, int sizex, int sizey , int bx = 0 , int by =0);

    void DelSprite();

    void DrawReverseSprite( int x , int y , int d);
    void DrawSprite( int , int , int );

    void CreateReverse( int brx = 0, int bry = 0);

    int GetSizeY();
    int GetSizeX();

    int GetBlitX();
    int GetBlitY();

    private:

    const unsigned char * Beta;
    const unsigned char * Alpha;

    unsigned char * ReverseBeta;
    unsigned char * ReverseAlpha;

    int size_x;
    int size_y;

    int b_x;
    int b_y;

    int br_x;
    int br_y;



};

#endif

